<template>
    <section>
        <h3>Counter: {{ counter }}</h3>
        <h3 data-testid="square-label">Square: {{ squareCounter }}</h3>

        <div>
            <!-- <button class="p-5 bg-blue-500 rounded hover:bg-blue-700 mr-2" @click="increase">+1</button>
            <button class="p-5 bg-blue-500 rounded hover:bg-blue-700 " @click="counter--">-1</button> -->
            <button class="btn" @click="increase">+1</button>
            <button data-decrement-btn="decrement-btn" class="btn" @click="counter--">-1</button>
        </div>
    </section>
</template>

<script lang="ts" setup>
import { useCounter } from '@/composables/useCounter';

interface Props {
    value: number
}

const props = defineProps<Props>()

const { counter, increase, squareCounter } = useCounter(props.value)

</script>

<style scoped>
.btn {
    @apply p-5 bg-blue-500 rounded hover:bg-blue-700 mr-2
}
</style>